<?php
/*
Simple:Press
Name plugin install/upgrade routine
$LastChangedDate: 2016-01-04 12:44:34 -0800 (Mon, 04 Jan 2016) $
$Rev: 13763 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_linking_do_upgrade_check() {
    if (!sp_is_plugin_active('blog-linking/sp-linking-plugin.php')) return;

    $options = sp_get_option('sfpostlinking');

    $db = $options['dbversion'];
    if (empty($db)) $db = 0;

    # quick bail check
    if ($db == SPLINKINGDBVERSION ) return;

    # apply upgrades as needed

    # db version upgrades
    if ($db < 1) {
	   spdb_query('UPDATE '.SFAUTHS." SET auth_cat=3 WHERE auth_name='create_linked_topics'");
	   spdb_query('UPDATE '.SFAUTHS." SET auth_cat=5 WHERE auth_name='break_linked_topics'");
    }

    if ($db < 2) {
		# admin task glossary entries
		include_once('sp-admin-glossary.php');
	}

    # save data
    $options['dbversion'] = SPLINKINGDBVERSION;
    sp_update_option('sfpostlinking', $options);
}

?>